Modules | Alphabetical List | Class List | Directories | File List | File Members | GIL Home Page # channels_are_compatible Struct Template Reference [Algorithms and Utility Functions] `#include <gil_concept.hpp>` ## Detailed Description ### template<typename T1, typename T2> struct boost::gil::channels_are_compatible< T1, T2 > Predicate metafunction returning whether two channels are compatible Channels are considered compatible if their value types (ignoring constness and references) are the same. Example:
    BOOST_STATIC_ASSERT((channels_are_compatible<bits8, const bits8&>::value));
The documentation for this struct was generated from the following file: gil_concept.hpp